Take the 2-minute tour ×
Ask Ubuntu is a question and answer site for Ubuntu users and developers. It's 100% free, no registration required.

I'm running 13.04 32bit and installed monodevelop-latest (keks9n-monodevelop-latest-raring.list repository, currently 4.1.7) and after getting my MVC4 application to build I wanted to run it (right-click on subproject and "Run Item")

But monodevelop doesn't find the xsp4 webserver. I get the following error message:

The xsp4 web server cannot be found. Please ensure that it is installed.

But mono-xsp4 is installed and runs automatically or can be run manually (sudo service mono-xsp4 start or just xsp4)

However I had some problems getting mono-xsp4 to work (I don't know if this is related to the monodevelop problem so I describe it aswell). On apt-get install mono-xsp4 I got:

Binding Mono XSP 4 address: 0.0.0.0  
 * You have an incomplete /etc/xsp4/debian.webapp  
 * To fix it, you need to install at least one package for xsp4 (like asp.net-examples)

Installing asp.net-examples simply (re-)installs mono-xsp2 and I didn't find any asp.net4-examples package.

Thus mono-xsp4 would not still run. I realized there are no applications set in /etc/xsp4/debian.webapp (empty except <apps></apps>) and by simply copying /etc/xsp2/debian.webapp to /etc/xsp4/ I could start mono-xsp4 (however, of course, there are no asp4 examples installed)

Back to monodevelop: In monodevelop I set the ip and port correctly to the ip and port mono-xsp4 is using but still xsp4 is not found. Whether mono-xsp4 is already running or I stopped it so monodevelop can start it itself, I always get the error message above.

Can somebody help me out? Is this a bug of monodevelop 4.1.7 (I need version v4 otherwise the VS2012 solution won't open correctly) or is something wrong with my mono-xsp4 install?

I would love to use the lastest monodevelop v4 stable version but I didn't find any ubuntu 13.04 repository for it.

share|improve this question

2 Answers 2

I can answer my own question:

https://launchpad.net/~keks9n/+archive/monodevelop-latest

gives the answer:

If you want to debug ASP.NET applications make sure that you are using your system Mono runtime ( http://i.imgur.com/SO93KJ2.png ). XSP isn't included to /opt/ Mono installation because of compatibility issues.

thus, if I build with mono 3.2.1 and then change the runtime back to the mono runtime in /usr (v 2.10.8.1) the page gets openend and xsp4 (/usr/lib/mono/4.0/xsp4.exe) runs!

share|improve this answer

For me the issue was using MonoDevelop 5.X, even if I was using xsp4.exe in bin/ directory it didn't work - eventually I got blank page with endless loading. Installing Ubuntu's default 4.0.12 version made everything work perfectly.

share|improve this answer
    
If you have installed MonoDevelop 5.X from PPA which also install a local copy of mono then you need to run MonoDevelop itself using users mono runtime. I have written a howto here –  th1rdey3 Nov 3 at 7:47
    
@th1rdey3 Monodevelop 5.6.1 (Build 5) works perfect for me now, but maybe this answer will help someone. –  Daniel Nov 3 at 13:20

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.